#include <iostream>
using namespace std;

int main()
{
    int n;
    cin>>n;
    int veze[2*n-2];
    for(int i=0;i<n-1;i++)
    {
        cin>>veze[2*i]>>veze[2*i+1];
        veze[2*i]--;
        veze[2*i+1]--;
    }
    cout<<n-1;
    return 0;
}